/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package vista;

import controlador.Inmoviliaria.CtrlInmoviliaria;
import controlador.Inmoviliaria.CtrlInmoviliariaServices;
import controlador.tda.lista.ListaEnlazada;
import controlador.tda.lista.ListaEnlazadaServices;
import controlador.tda.lista.exception.PosicionException;
import controlador.utiles.TipoBienInmueble;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import modelo.binmuebles.BienInmueble;
import modelo.cliente.Cliente;

/**
 *
 * @author LENOVO
 */
public class VistaPrincipal extends javax.swing.JFrame {

    CtrlInmoviliariaServices inmoviliaria = new CtrlInmoviliariaServices();

    /**
     * Creates new form vInmo
     */
    public VistaPrincipal() {
        try {
            initComponents();
            this.inmoviliaria.cargarInmuebles();
            this.inmoviliaria.cargarClientes();
        } catch (IOException ex) {

        }
        this.jTable1.setModel(cargarTabla());
    }

    public VistaPrincipal(CtrlInmoviliariaServices inmoviliaria) {
        initComponents();
        this.inmoviliaria = inmoviliaria;
        this.jTable1.setModel(cargarTabla());
    }

    public DefaultTableModel cargarTabla() {
        DefaultTableModel modelo = new DefaultTableModel();
        modelo.addColumn("Ubicacion");
        modelo.addColumn("Propietario");
        modelo.addColumn("Tipo");
        modelo.addColumn("Costo");

        String datos[] = new String[4];
        for (int i = 0; i < inmoviliaria.getInmoviliaria().getListaInmuebles().getSize(); i++) {
            datos[0] = String.valueOf(inmoviliaria.getInmoviliaria().getListaInmuebles().obtenerDato(i).getUbicacion());
            datos[1] = inmoviliaria.getInmoviliaria().getListaInmuebles().obtenerDato(i).getPropietario();
            datos[2] = inmoviliaria.getInmoviliaria().getListaInmuebles().obtenerDato(i).getTipoInmueble();
            datos[3] = String.valueOf(inmoviliaria.getInmoviliaria().getListaInmuebles().obtenerDato(i).getCosto());
            modelo.addRow(datos);
        }

        return modelo;
    }

    public void limpiar() {
        this.costo.setText(null);
        this.propietario.setText(null);
        this.ubicacion.setText(null);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        ubicacion = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        propietario = new javax.swing.JTextField();
        costo = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jLabel1 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jButton2 = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        tiposCB = new javax.swing.JComboBox<>();
        delete = new javax.swing.JButton();
        vender = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));

        jLabel5.setFont(new java.awt.Font("Times New Roman", 0, 13)); // NOI18N
        jLabel5.setText("Tipo:");

        jButton1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/lapiz (1).png"))); // NOI18N
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Ubicacion", "Propietario", "Tipo", "Costo"
            }
        ));
        jTable1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jTable1MouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(jTable1);

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/inmoLogo.png"))); // NOI18N
        jLabel1.setText("jLabel1");

        jLabel3.setFont(new java.awt.Font("Times New Roman", 0, 13)); // NOI18N
        jLabel3.setText("Ubicacion:");

        jLabel4.setFont(new java.awt.Font("Times New Roman", 0, 13)); // NOI18N
        jLabel4.setText("Propietario:");

        jLabel6.setFont(new java.awt.Font("Times New Roman", 0, 13)); // NOI18N
        jLabel6.setText("Costo:");

        jButton2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/gargantua.png"))); // NOI18N
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jLabel7.setFont(new java.awt.Font("Times New Roman", 1, 18)); // NOI18N
        jLabel7.setText("Inmuebles");

        jLabel2.setFont(new java.awt.Font("Times New Roman", 0, 24)); // NOI18N
        jLabel2.setText("NewLife");

        tiposCB.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Maturaleza", "Incorporacion" }));

        delete.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/WhatsApp Image 2022-06-30 at 9.08.18 AM.jpeg"))); // NOI18N
        delete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                deleteActionPerformed(evt);
            }
        });

        vender.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/WhatsApp Image 2022-06-30 at 10.53.31 AM.jpeg"))); // NOI18N
        vender.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                venderActionPerformed(evt);
            }
        });

        jButton3.setText("Agregar Clientes");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(128, 128, 128)
                        .addComponent(jButton3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 208, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGroup(jPanel1Layout.createSequentialGroup()
                            .addGap(55, 55, 55)
                            .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel3)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(ubicacion, javax.swing.GroupLayout.PREFERRED_SIZE, 135, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel4)
                                    .addComponent(jLabel6)
                                    .addComponent(jLabel5))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(costo, javax.swing.GroupLayout.DEFAULT_SIZE, 138, Short.MAX_VALUE)
                                    .addComponent(propietario, javax.swing.GroupLayout.DEFAULT_SIZE, 138, Short.MAX_VALUE)
                                    .addComponent(tiposCB, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                            .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 103, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(26, 26, 26)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(delete)
                            .addComponent(jButton1)
                            .addComponent(jButton2))
                        .addContainerGap(61, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(vender, javax.swing.GroupLayout.PREFERRED_SIZE, 57, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(153, 153, 153))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(170, 170, 170)
                        .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 24, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(28, 28, 28)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(ubicacion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addComponent(jLabel3))
                                    .addComponent(jButton1))
                                .addGap(2, 2, 2)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel4)
                                    .addComponent(propietario, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(tiposCB, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addComponent(jLabel5))
                                    .addComponent(delete))
                                .addGap(49, 49, 49))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGap(0, 0, Short.MAX_VALUE)
                                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(jLabel6)
                                        .addComponent(costo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                    .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGap(2, 2, 2)))
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jButton3)
                                .addGap(13, 13, 13))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(vender)
                                .addGap(0, 0, Short.MAX_VALUE)))))
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 212, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        try {
            int fila = jTable1.getSelectedRow();
            if (this.tiposCB.getSelectedObjects().toString().equalsIgnoreCase("Naturaleza")) {
                this.inmoviliaria.modificarInmueble(fila, new BienInmueble(this.ubicacion.getText(), this.propietario.getText(), TipoBienInmueble.NATURALEZA, Double.valueOf(this.costo.getText())));
            } else {
                this.inmoviliaria.modificarInmueble(fila, new BienInmueble(this.ubicacion.getText(), this.propietario.getText(), TipoBienInmueble.INCORPORACION, Double.valueOf(this.costo.getText())));

            }
            this.inmoviliaria.guardarInmuebles();
            this.jTable1.setModel(this.cargarTabla());
        } catch (PosicionException | IOException ex) {
            JOptionPane.showMessageDialog(null, "Error seleccionar un inmueble");
        }
        this.limpiar();
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        try {
            if (this.inmoviliaria.getInmoviliaria().getListaInmuebles().getSize() > 0) {

                if ((boolean) this.inmoviliaria.getInmoviliaria().getListaInmuebles().esta("ubicacion", this.ubicacion.getText()).obtenerDato(0)) {
                    JOptionPane.showMessageDialog(null, "Error el bien inmueble ya esta registrado");
                } else {
                    try {
                        if (this.tiposCB.getSelectedObjects().toString().equalsIgnoreCase("Naturaleza")) {
                            this.inmoviliaria.agregarInmueble(new BienInmueble(this.ubicacion.getText(), this.propietario.getText(), TipoBienInmueble.NATURALEZA, Double.valueOf(this.costo.getText())));
                        } else {
                            this.inmoviliaria.agregarInmueble(new BienInmueble(this.ubicacion.getText(), this.propietario.getText(), TipoBienInmueble.INCORPORACION, Double.valueOf(this.costo.getText())));
                        }
                        this.inmoviliaria.guardarInmuebles();
                        this.jTable1.setModel(cargarTabla());
                    } catch (PosicionException | IOException | NumberFormatException e) {
                        JOptionPane.showMessageDialog(null, "Error en los datos");
                    }
                }
            } else {
                try {
                    if (this.tiposCB.getSelectedObjects().toString().equalsIgnoreCase("Naturaleza")) {
                        this.inmoviliaria.agregarInmueble(new BienInmueble(this.ubicacion.getText(), this.propietario.getText(), TipoBienInmueble.NATURALEZA, Double.valueOf(this.costo.getText())));
                    } else {
                        this.inmoviliaria.agregarInmueble(new BienInmueble(this.ubicacion.getText(), this.propietario.getText(), TipoBienInmueble.INCORPORACION, Double.valueOf(this.costo.getText())));
                    }
                    this.inmoviliaria.guardarInmuebles();
                    this.jTable1.setModel(cargarTabla());
                } catch (PosicionException | IOException | NumberFormatException e) {
                    JOptionPane.showMessageDialog(null, "Error en los datos");
                }
            }
        } catch (Exception ex) {
            Logger.getLogger(VistaPrincipal.class.getName()).log(Level.SEVERE, null, ex);
        }
        this.limpiar();
    }//GEN-LAST:event_jButton2ActionPerformed

    private void deleteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_deleteActionPerformed
        try {
            int fila = jTable1.getSelectedRow();
            this.inmoviliaria.eliminarInmueble(fila);
            this.inmoviliaria.guardarInmuebles();
            this.jTable1.setModel(this.cargarTabla());
            JOptionPane.showMessageDialog(null, "Eliminado correctamente");
        } catch (PosicionException | IOException ex) {
            Logger.getLogger(VistaPrincipal.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_deleteActionPerformed

    private void venderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_venderActionPerformed

        try {
            int fila = jTable1.getSelectedRow();
            ListaEnlazada lista = this.inmoviliaria.getInmoviliaria().getClientes().esta("nombre", this.propietario.getText());

            if ((boolean) lista.obtenerDato(0)) {
                this.inmoviliaria.agregarFactura(this.inmoviliaria.getInmoviliaria().getListaInmuebles().obtenerDato(fila), ((Cliente) lista.obtenerDato(1)));
                this.inmoviliaria.guardarFacturas();
                this.inmoviliaria.eliminarInmueble(fila);
                this.inmoviliaria.guardarInmuebles();
                JOptionPane.showMessageDialog(null, "Se ha vendido correctamente");
            } else {
                vClient cliente = new vClient(this.inmoviliaria);
                JOptionPane.showMessageDialog(null, "No se encontro el cliente, se va a agregar");
                cliente.setVisible(true);
                this.dispose();
            }
        } catch (Exception ex) {

        }
        this.jTable1.setModel(this.cargarTabla());
    }//GEN-LAST:event_venderActionPerformed

    private void jTable1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTable1MouseClicked
        int q = jTable1.rowAtPoint(evt.getPoint());
        this.ubicacion.setText(String.valueOf(jTable1.getValueAt(q, 0)));
        this.propietario.setText(String.valueOf(jTable1.getValueAt(q, 1)));
        if ((String.valueOf(jTable1.getValueAt(q, 2))).equalsIgnoreCase("Naturaleza")) {
            this.tiposCB.setSelectedIndex(0);
        } else {
            this.tiposCB.setSelectedIndex(1);
        }
        this.costo.setText(String.valueOf(jTable1.getValueAt(q, 3)));

    }//GEN-LAST:event_jTable1MouseClicked

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        vClient cliente = new vClient(this.inmoviliaria);

        cliente.setVisible(true);
        this.dispose();
    }//GEN-LAST:event_jButton3ActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(VistaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(VistaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(VistaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(VistaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new VistaPrincipal().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField costo;
    private javax.swing.JButton delete;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTable1;
    private javax.swing.JTextField propietario;
    private javax.swing.JComboBox<String> tiposCB;
    private javax.swing.JTextField ubicacion;
    private javax.swing.JButton vender;
    // End of variables declaration//GEN-END:variables
}
